/*=================== FILE ABSTRACT ==========================================
 *
 * Synopsis::         Source for callback notification class
 *
 * File Name::        %M%
 * Version::          %I%
 * Type::             source
 * Date Completed::   %G%
 *
 * Environment::
 *     Language::     Java
 *     Computer::     Compaq/Alpha
 *     OS::           DigitalUNIX
 *     OSVersion::    4.0
 *
 * Module Information::
 *     Owner::        MDACC
 *     Department::   Biostatistics
 *     Researcher::   N/A
 *     Application::  <generic>
 *
 *============================================================================*/

/*
 * @(#)Callback.java    1.0 2002/02/21
 *
 * Copyright (c) 2002 M.D. Anderson Cancer Center
 * 1515 Holcombe, Houston, TX, 77030, U.S.A.
 * All rights reserved.
 */

package org.mdanderson.biostat.util;


/**
 * Callback- Callback invocation.
 *
 * @version 1.0 2002/02/21
 * @author <a href="mailto:roebuck@mdanderson.org">P. Roebuck</a>
 */
public class Callback
{
    // =========================================================================
    // CONSTRUCTOR
    // =========================================================================

    /**
     * Class constructor specifying callback to be sent.
     *
     * @param callback  callback to be invoked
     */
    public Callback(ICallback callback)
    {
        this.callback = callback;
    }

    // =========================================================================
    // PUBLIC INTERFACE
    // =========================================================================

    /**
     * Invokes the callback.
     *
     * @param arg  argument passed to callback invocation
     */
    public void invoke(Object arg)
    {
        callback.invokeCallback(arg);
    }

    // =========================================================================
    // PUBLIC INTERFACE
    // =========================================================================

    private ICallback callback;
}

