##################### FILE ABSTRACT ############################################
##
## Synopsis::         Dynamic loading and external declarations for C routines
##
## File Name::        %M%
## Version::          %I%
## Type::             source
## Date Completed::   %G%
##
## Environment::
##     Language::     Splus
##     Computer::     Compaq/Alpha
##     OS::           DigitalUNIX
##     OSVersion::    4.0
##
## Module Information::
##     Owner::        MDACC
##     Department::   Biostatistics
##     Researcher::   Kim-Anh Do
##     Application::  geneclust
##
################################################################################

# Load dynamic libraries containing external routines.
obj<-paste(GCinstall, "/lib/S", sep="");
dyn.load (paste("/usr/lib/libgslcblas", .Platform$dynlib.ext, sep=""), local=F);
dyn.load (paste("/usr/lib/libgsl", .Platform$dynlib.ext, sep=""), local=F);
dyn.load (paste(obj, .Platform$dynlib.ext, sep=""));

# Define interfaces to the external routines.
GeneShave.C <- function(outputDirectoryName,nclst,percentToShave,nperm,gapTolerance,W,N,p,verbose,generateLabels,writeMatrix,percentSupervision,classificationFileName,nclstFound)
    .C("GeneShave",
       as.character(outputDirectoryName),
       as.integer(nclst),
       as.integer(percentToShave),
       as.integer(nperm),
       as.integer(gapTolerance),
       as.numeric(W),
       as.integer(N),
       as.integer(p),
       as.logical(verbose),
       as.logical(generateLabels),
       as.logical(writeMatrix),
       as.integer(percentSupervision),
       as.character(classificationFileName),
       nFound = as.integer(nclstFound))$nFound;

tsvFileFormatTest.C <- function(tsvFileName,colHeaders,rowHeaders)
    .C("tsvFileFormatTest",
       as.character(tsvFileName),
       as.logical(colHeaders),
       as.logical(rowHeaders));

